Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.strtree
Class SIRtree

    java.lang.Object
      com.vividsolutions.jts.index.strtree.AbstractSTRtree
          com.vividsolutions.jts.index.strtree.SIRtree

All Implemented Interfaces:
  java.io.Serializable

    public class SIRtree

extends AbstractSTRtree

One-dimensional version of an STR-packed R-tree. SIR stands for "Sort-Interval-Recursive". STR-packed R-trees are described in: P. Rigaux, Michel Scholl and Agnes Voisard. Spatial Databases With Application To GIS. Morgan Kaufmann, San Francisco, 2002.

Version:
  1.7
See Also:
  `STRtree`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.vividsolutions.jts.index.strtree.AbstractSTRtree
`AbstractSTRtree.IntersectsOp`

Field Summary

Fields inherited from class com.vividsolutions.jts.index.strtree.AbstractSTRtree
`root`

Constructor Summary
`SIRtree()` Constructs an SIRtree with the default node capacity.
`SIRtree(int nodeCapacity)` Constructs an SIRtree with the given maximum number of child nodes that a node may have

Method Summary
`protected AbstractNode` | `createNode(int level)`
`protected java.util.Comparator` | `getComparator()`
`protected AbstractSTRtree.IntersectsOp` | `getIntersectsOp()`
`void` | `insert(double x1, double x2, java.lang.Object item)` Inserts an item having the given bounds into the tree.
`java.util.List` | `query(double x)` Returns items whose bounds intersect the given value.
`java.util.List` | `query(double x1, double x2)` Returns items whose bounds intersect the given bounds.

Methods inherited from class com.vividsolutions.jts.index.strtree.AbstractSTRtree
`boundablesAtLevel, build, compareDoubles, createParentBoundables, depth, depth, getNodeCapacity, getRoot, insert, isEmpty, itemsTree, lastNode, query, query, remove, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SIRtree

    public SIRtree()

  Constructs an SIRtree with the default node capacity.

### SIRtree

    public SIRtree(int nodeCapacity)

  Constructs an SIRtree with the given maximum number of child nodes that a node may have

Method Detail

### createNode

    protected AbstractNode createNode(int level)

  Specified by:
    `createNode` in class `AbstractSTRtree`

### insert

    public void insert(double x1,
                       double x2,
                       java.lang.Object item)

  Inserts an item having the given bounds into the tree.

### query

    public java.util.List query(double x)

  Returns items whose bounds intersect the given value.

### query

    public java.util.List query(double x1,
                                double x2)

  Returns items whose bounds intersect the given bounds.

  Parameters:
    `x1` - possibly equal to x2

### getIntersectsOp

    protected AbstractSTRtree.IntersectsOp getIntersectsOp()

  Specified by:
    `getIntersectsOp` in class `AbstractSTRtree`
  Returns:
    a test for intersection between two bounds, necessary because subclasses of AbstractSTRtree have different implementations of bounds.
  See Also:
    `AbstractSTRtree.IntersectsOp`

### getComparator

    protected java.util.Comparator getComparator()

  Specified by:
    `getComparator` in class `AbstractSTRtree`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD